package utils

import (
	"os"
)

func PathExists(path string) (bool, error) {
	_, err := os.Stat(path)
	if err == nil {
		return true, nil
	}
	if os.IsNotExist(err) {
		return false, nil
	}
	return false, err
}

//判断是否问有效文件夹
func IsDir(filename string) (bool, error) {
	fd, err := os.Stat(filename)
	if err != nil {
		return false, err
	}
	fm := fd.Mode()
	return fm.IsDir(), nil
}

//创建文件夹
func CreateDir(dir string) error {
	if ifdir, _ := IsDir(dir); !ifdir {
		err := os.Mkdir(dir, 0777)
		if err != nil {
			//global.App.Log.Error("新建文件夹失败,path=" + dir)

			return err
		}
		// 再修改权限
		err = os.Chmod(dir, 0777)
		if err != nil {
			//global.App.Log.Error("修改文件夹权限失败,path=" + dir)
			return err
		}
	}

	return nil
}
